Segments: Duplicate
Note: Response can differ based on segment, groups and rules
POST /apps/{app_id}/segments/{id}/duplicatePath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the origin segment which you want to duplicate |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/segments/{id}/duplicate \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "hidden": false, "hidden_at": null, "name": "Alias Not John copy02", "id": "680108eca46a6f447a1aca43", "users_count": 0, "groups": [ { "join_type": "+", "rules": [ { "match_type": "not_equal", "match_value": "john", "type": "alias" } ] } ]}
